Multifunction DAQ

cancel
Showing results for 
Search instead for 
Did you mean: 

DAQ diagnostic utility error

Hi,

  I'm trying to use the DAQ diagnostic utility 2.0 to test my PCI 6010 card.  The device shows up properly in MAX, and there it passes the self-test and self-calibration.  When I run the utility, though, after passing device support, NI DAQmx Version 8.6, device reset, and giving the last self-calibration date, it says error -200197 occurred at Property Node DAQmx Device (Arg 3) in Get Device Param. vi->Diagnostic Utility SubVi.vi->Diagnostic Utility.vi.  In the report it says "Error: the selected device does not support a property needed to run this utility."  What should I try now?

  Thanks, Myra

 

0 Kudos
Message 1 of 6
(3,358 Views)

Hi Myra,

 

What operating system are you using?  Do you have the LabVIEW 8.0 Run-Time engine installed? What behavior is your card exhibiting to necessitate the testing of the device?

 

Requirements

To use the DAQ Diagnostic Utility, you need the following:

  • NI-DAQmx 8.3 or later
  • LabVIEW 8.0 Run-Time Engine (installed with NI-DAQmx)
  • Administrator or Power User privileges
Regards,


h_baker
National Instruments
Applications Engineer
0 Kudos
Message 2 of 6
(3,335 Views)

Hi,

  Yes, I have met all of those requirements... I did try Version 1.0 of the utility just in case there was some sort of problem with NI DAQmx, but it got stuck at the same point as 2.0 did.  Although I am using DAQmx 8.6 (which should be fine as far as the diagnostic utility goes), I decided to update the drivers and am in the process of doing so now.  Could that be the problem? 

Thanks, Myra

0 Kudos
Message 3 of 6
(3,332 Views)

Hi Myra,

 

The PCI-6010 is a B Series device which is actually unsupported by the DAQ Diagnostic Utility.  The error you are seeing is expected, and happens for any version of the utility and for any PCI-6010.  Since it sounds like your card is working correctly despite using the utility, I would not worry about the results given by the Diagnostic Utility. 

Kyle A.
National Instruments
Senior Applications Engineer
0 Kudos
Message 4 of 6
(3,315 Views)

Hi,

  In the Readme file for the diagnostic there is a list of supported devices and the PCI-6010 is included in that list...  Is that inaccurate?

Thanks, Myra

0 Kudos
Message 5 of 6
(3,300 Views)

Hi Myra,

 

Corrective Action Request (CAR) 145329 has already been filed to address an issue with PCI-6010 not working with this version of the DAQ Diagnostic Utility.  Hopefully this will be fixed with a future release of the utility.  Can you please elaborate on the need to use the utility?  I can offer troubleshooting assistance with more information about the overall issue.

 

 

Regards,


h_baker
National Instruments
Applications Engineer
0 Kudos
Message 6 of 6
(3,268 Views)